Unset Scope Permissions
curl --request DELETE \
--url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission} \
--header 'apikey: <api-key>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"permissions": {
"sendMessage": "allow",
"listMembers": "allow",
"listMembers.allowedScopes": "participant",
"addReaction": "deny",
"listReactions.allowedScopes": "moderator",
"listReactions": "deny",
"sendThreadedMessage": "allow",
"initiateCall": "deny",
"initiateCall.allowedScopes": "participant",
"initiateCall.allowedType": "audio",
"editMessage": "allow"
}
}
}Role Based Access Control
Unset Scope Permissions
Removes a specific permission from a group scope
DELETE
/
groups
/
{guid}
/
scopes
/
{scope}
/
permissions
/
{permission}
Unset Scope Permissions
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
The group GUID to remove scope permission from
Example:
"supergroup"
The scope identifier (e.g., admin, moderator, participant)
Example:
"admin"
The permission key to unset (e.g., sendMessage, initiateCall, etc.)
Example:
"sendMessage"
Response
200 - application/json
Scope permission unset successfully
Was this page helpful?